Page MenuHome

Pressing F3 does not trigger search menu, but 3D viewport shows the clipboard content (text or graphic, depending on the case)
Closed, ResolvedPublic

Description

System Information
Operating system: Windows-10-10.0.17763 64 Bits
Graphics card: Intel(R) UHD Graphics 620 Intel 4.5.0 - Build 25.20.100.6444

Blender Version
Broken: version: 2.81 (sub 4), branch: master, commit date: 2019-08-31 11:22, hash: rB82ef1edce4a2
Worked: (optional)

Short description of error
If I press F3, 3D editor shows the text/graphic content of clipboard.

Exact steps for others to reproduce the error

I have not changed the keymap. (see below)

Yet, if I press F3 in the 3D Viewport, the content of the clipbaord shows up.
If I right-click on it, it shows a context menu. I select "close" or "destroy" to make this go away.
I can press ESC also.

This happens in both Object and Edit modes.

So why does the Search command does not show?

Details

Type
Bug

Event Timeline

Abid Maqbool (cto.abid) lowered the priority of this task from Needs Triage by Developer to Needs Information from User.Sep 1 2019, 3:46 PM

IMO, can't say what is happening...
Try with, File -> Load Factory Setting. To see, is not you have conflict key-map?
Another thing, I think, it's not best why as you search by key-word search. As it can be possible F3 key is binned to an other task...

Best why:

Please, try at your end, let we know...
If not solve, provide simplest possible file, thanks...

Thanks for the prompt response!

From your clue, I checked and found that F3 was used by a screen capture app called Snipaste.
I use it heavily, but I usually paste its output with CTRL+V instead of F3.
Thus, I was not aware of its key-binding with F3!

Also, Snipaste pastes any clipboard content with F3, even if that contrent is not captured within Snipaste.
That made it difficult to realize that Snipate is responsible for this.

Finally, I disabled the F3 key-binding in Snipaste.
Now Blender works just fine.

Closing as resolved.
(The note above will serve as hint to others who may face similar problem.)

Narayan Aras (raindrops) closed this task as Resolved.Sep 2 2019, 5:24 AM
Narayan Aras (raindrops) claimed this task.